#include "FroznWar.h"
#include "fxlib.h"

static const FONTCHARACTER SAVEFILE[] = { '\\', '\\', 'f', 'l', 's', '0', '\\', 'F', 'R', 'O', 'Z', 'N', 'W', 'A', 'R', '.', 's', 'a', 'v', 0x0 };
#define SAVEFILESIZE (sizeof(struct Save))
struct Save data;

int save_exists(void)
{
	FONTCHARACTER foundName[30];
	FILE_INFO fileInfo;
	int searchHandle;

	return !Bfile_FindFirst(SAVEFILE,&searchHandle,foundName,&fileInfo);
}

void save_init(void)
{
	unsigned i;

	data.money    = 1000;
	data.exp      = 0;

	data.units[0] = 4;
	data.units[1] = 1;

	for(i=0;i<6;i++)
		data.tutos[i] = 0;
}

void save_save(void)
{
	int handle;

	Bfile_DeleteFile(SAVEFILE);
	Bfile_CreateFile(SAVEFILE,SAVEFILESIZE);
	handle = Bfile_OpenFile(SAVEFILE,_OPENMODE_WRITE);
	Bfile_WriteFile(handle,&data,sizeof(data));
	Bfile_CloseFile(handle);
}

void save_load(void)
{
	int handle;

	handle = Bfile_OpenFile(SAVEFILE,_OPENMODE_READ);
	Bfile_ReadFile(handle,&data,sizeof(data),0);
	Bfile_CloseFile(handle);
}

void save_lose(void)
{
	Bfile_DeleteFile(SAVEFILE);
}
